## ros-galactic-nav2-util 1.0.12

=== src/CMakeLists.txt ===
add_library(${library_name} SHARED
  costmap.cpp
  node_utils.cpp
  lifecycle_service_client.cpp
  string_utils.cpp
  lifecycle_utils.cpp
  lifecycle_node.cpp
  robot_utils.cpp
  node_thread.cpp
  odometry_utils.cpp
)

ament_target_dependencies(${library_name}
  rclcpp
  nav2_msgs
  tf2
  tf2_ros
  nav_msgs
  geometry_msgs
  lifecycle_msgs
  rclcpp_lifecycle
  tf2_geometry_msgs
  bondcpp
)

add_executable(lifecycle_bringup
  lifecycle_bringup_commandline.cpp
)
target_link_libraries(lifecycle_bringup ${library_name})

find_package(Boost REQUIRED COMPONENTS program_options)

add_executable(dump_params dump_params.cpp)
ament_target_dependencies(dump_params rclcpp)

target_include_directories(dump_params PUBLIC ${Boost_INCLUDE_DIRS})

target_link_libraries(dump_params ${Boost_PROGRAM_OPTIONS_LIBRARY})

install(TARGETS
  ${library_name}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(TARGETS
  lifecycle_bringup
  dump_params
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

=== test/CMakeLists.txt ===
ament_add_gtest(test_execution_timer test_execution_timer.cpp)

ament_add_gtest(test_node_utils test_node_utils.cpp)
target_link_libraries(test_node_utils ${library_name})

find_package(std_srvs REQUIRED)
find_package(test_msgs REQUIRED)

ament_add_gtest(test_service_client test_service_client.cpp)
ament_target_dependencies(test_service_client std_srvs)
target_link_libraries(test_service_client ${library_name})

ament_add_gtest(test_string_utils test_string_utils.cpp)
target_link_libraries(test_string_utils ${library_name})

find_package(rclcpp_lifecycle REQUIRED)
ament_add_gtest(test_lifecycle_utils test_lifecycle_utils.cpp)
ament_target_dependencies(test_lifecycle_utils rclcpp_lifecycle)
target_link_libraries(test_lifecycle_utils ${library_name})

ament_add_gtest(test_actions test_actions.cpp)
ament_target_dependencies(test_actions rclcpp_action test_msgs)
target_link_libraries(test_actions ${library_name})

ament_add_gtest(test_lifecycle_node test_lifecycle_node.cpp)
ament_target_dependencies(test_lifecycle_node rclcpp_lifecycle)
target_link_libraries(test_lifecycle_node ${library_name})

ament_add_gtest(test_lifecycle_cli_node test_lifecycle_cli_node.cpp)
ament_target_dependencies(test_lifecycle_cli_node rclcpp_lifecycle)
target_link_libraries(test_lifecycle_cli_node ${library_name})

ament_add_gtest(test_geometry_utils test_geometry_utils.cpp)
ament_target_dependencies(test_geometry_utils geometry_msgs)
target_link_libraries(test_geometry_utils ${library_name})

ament_add_gtest(test_odometry_utils test_odometry_utils.cpp)
ament_target_dependencies(test_odometry_utils nav_msgs geometry_msgs)
target_link_libraries(test_odometry_utils ${library_name})

ament_add_gtest(test_robot_utils test_robot_utils.cpp)
ament_target_dependencies(test_robot_utils geometry_msgs)
target_link_libraries(test_robot_utils ${library_name})

# This test is disabled due to failing services
# https://github.com/ros-planning/navigation2/issues/1836

add_launch_test(
  "test_dump_params/test_dump_params_default.test.py"
  TARGET "test_dump_params_default"
  TIMEOUT 10
  ENV
    TEST_EXECUTABLE=$<TARGET_FILE:dump_params>
)

add_launch_test(
  "test_dump_params/test_dump_params_yaml.test.py"
  TARGET "test_dump_params_yaml"
  TIMEOUT 10
  ENV
    TEST_EXECUTABLE=$<TARGET_FILE:dump_params>
)

add_launch_test(
  "test_dump_params/test_dump_params_md.test.py"
  TARGET "test_dump_params_md"
  TIMEOUT 10
  ENV
    TEST_EXECUTABLE=$<TARGET_FILE:dump_params>
)

add_launch_test(
  "test_dump_params/test_dump_params_multiple.test.py"
  TARGET "test_dump_params_multiple"
  TIMEOUT 10
  ENV
    TEST_EXECUTABLE=$<TARGET_FILE:dump_params>
)

=== debian/changelog ===
ros-galactic-nav2-util (1.0.12-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Michael Jeronimo <michael.jeronimo@intel.com>  Wed, 25 May 2022 19:14:30 -0000

=== debian/control ===
Source: ros-galactic-nav2-util
Section: misc
Priority: optional
Maintainer: Michael Jeronimo <michael.jeronimo@intel.com>
Build-Depends: debhelper (>= 9.0.0), libboost-program-options-dev, ros-galactic-action-msgs, ros-galactic-action-msgs <!nocheck>, ros-galactic-ament-cmake, ros-galactic-ament-cmake-gtest <!nocheck>, ros-galactic-ament-cmake-pytest <!nocheck>, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-bond, ros-galactic-bondcpp, ros-galactic-geometry-msgs, ros-galactic-launch, ros-galactic-launch <!nocheck>, ros-galactic-launch-testing-ament-cmake, ros-galactic-launch-testing-ament-cmake <!nocheck>, ros-galactic-launch-testing-ros <!nocheck>, ros-galactic-lifecycle-msgs, ros-galactic-nav-msgs, ros-galactic-nav2-common, ros-galactic-nav2-msgs, ros-galactic-rclcpp, ros-galactic-rclcpp-action, ros-galactic-rclcpp-lifecycle, ros-galactic-std-srvs <!nocheck>, ros-galactic-test-msgs <!nocheck>, ros-galactic-tf2, ros-galactic-tf2-geometry-msgs, ros-galactic-tf2-ros, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-nav2-util
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-program-options1.71.0, ros-galactic-action-msgs, ros-galactic-bond, ros-galactic-bondcpp, ros-galactic-geometry-msgs, ros-galactic-launch, ros-galactic-launch-testing-ament-cmake, ros-galactic-lifecycle-msgs, ros-galactic-nav-msgs, ros-galactic-nav2-common, ros-galactic-nav2-msgs, ros-galactic-rclcpp, ros-galactic-rclcpp-action, ros-galactic-rclcpp-lifecycle, ros-galactic-tf2, ros-galactic-tf2-geometry-msgs, ros-galactic-tf2-ros, ros-galactic-ros-workspace
Description: TODO

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-nav2-util//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
